Signatures

Envelope Count

GET
/signatures/envelope/count

The endpoint retrieves the number of envelopes and divides them by folders. No tid/recipient access - authenticated user only.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/signatures/envelope/count"
{  "result": {    "statusCode": 200,    "message": "OK",    "data": {      "envelopes": {        "inbox": 0,        "sent": 0,        "drafts": 0,        "trash": 0,        "todo": 0,        "expiring": 0,        "pending": 0,        "completed": 0      }    }  },  "origin": "GET https://api.doctavian.com/v1/signatures/envelope/count",  "dateTime": "2026-07-20T12:00:00.000Z",  "userId": "684814ae-5aa1-42c9-8e1c-4cdf48aca5c2"}
{  "error": {    "message": "Envelope not found.",    "statusCode": 400,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/signatures/envelope/count",  "dateTime": "2026-07-20T12:00:00.000Z",  "userId": "f847a6a9-7e96-478a-af08-14434c08dcb0",  "operationId": "06ccc17faf33eb9c1f6521af31c54806"}
{  "error": {    "message": "Envelope not found.",    "statusCode": 500,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "GET https://api.doctavian.com/v1/signatures/envelope/count",  "dateTime": "2026-07-20T12:00:00.000Z",  "userId": "8814d2d6-c8e5-4327-8562-3ef136ebf4f7",  "operationId": "5c97ab508542f7051209ec57099109f0"}